Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class OpStatus

    java.lang.Object
      com.connecterra.ale.reader.OpStatus

All Implemented Interfaces:
  Comparable

    public class OpStatus

extends Object
implements Comparable

Type-safe enum representing the write cycle status of a logical reader.

Note: these enum values closely (but not necessarily identically) track those in `PCStatus`.

Field Summary
`static OpStatus` | `ANTENNA_FAILURE` Write operation failed because the specified antenna was not present.
`static OpStatus` | `BUSY` The reader could not be write-subscribed because it is already subscribed for a write operation.
`static OpStatus` | `CACHE_EMPTY` Write operation failed because the cache was empty.
`static OpStatus` | `COMMUNICATION_FAILURE` Value indicating error establishing or maintaining communications with the reader.
`static OpStatus` | `DRIVER_INCAPABLE` Write operation failed because the specified antenna could not perform the requested operation.
`static OpStatus` | `FAILED` Value indicating that a logical reader is non-functional.
`static OpStatus` | `INCOMPATIBLE_TAG_TYPE` The tag value to be written is not compatible with the tag type (or the reader type).
`static OpStatus` | `LOCKED` No write was attempted because the tag is locked.
`static OpStatus` | `MULTIPLE_IN_FIELD` No write was attempted because there were multiple tags in the field.
`static OpStatus` | `NONE_IN_FIELD` The reader did not find any tag in the field.
`static OpStatus` | `NOT_WRITTEN` There was a single tag in the field, but its value was not altered by the write operation.
`static OpStatus` | `OK` Value indicating that the write cycle was successful.
`static OpStatus` | `READ_ONLY` No write was attempted because the tag is not a programmable type.
`static OpStatus` | `STOPPED` The write operation was stopped by program action prior to completion.
`static OpStatus` | `UNKNOWN` sentinel used within ProgrammingCycle logic to indicate that no status report or cycle completion report has been received from a reader
`static OpStatus` | `VERIFY_ERROR` After the write operation, the tag in field reads back with an invalid value (CRC problem) or a value different than the value that was written to it.

Method Summary
`int` | `compareTo(Object o)` WriterStatus instances sort in ascending order of failure severity.
`boolean` | `isStoppingCondition()` Tells whether this write cycle failure status is a "hard" failure, meaning that it is pointless to try to repeat the write cycle on the reporting logical reader.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final OpStatus UNKNOWN

  sentinel used within ProgrammingCycle logic to indicate that no status report or cycle completion report has been received from a reader

### OK

    public static final OpStatus OK

  Value indicating that the write cycle was successful.

### NONE_IN_FIELD

    public static final OpStatus NONE_IN_FIELD

  The reader did not find any tag in the field.

### NOT_WRITTEN

    public static final OpStatus NOT_WRITTEN

  There was a single tag in the field, but its value was not altered by the write operation. This can happen because a tag generally needs to be closer to an antenna for writing than for reading.

### VERIFY_ERROR

    public static final OpStatus VERIFY_ERROR

  After the write operation, the tag in field reads back with an invalid value (CRC problem) or a value different than the value that was written to it.

### COMMUNICATION_FAILURE

    public static final OpStatus COMMUNICATION_FAILURE

  Value indicating error establishing or maintaining communications with the reader.

### DRIVER_INCAPABLE

    public static final OpStatus DRIVER_INCAPABLE

  Write operation failed because the specified antenna could not perform the requested operation.

### MULTIPLE_IN_FIELD

    public static final OpStatus MULTIPLE_IN_FIELD

  No write was attempted because there were multiple tags in the field.

### LOCKED

    public static final OpStatus LOCKED

  No write was attempted because the tag is locked.

### INCOMPATIBLE_TAG_TYPE

    public static final OpStatus INCOMPATIBLE_TAG_TYPE

  The tag value to be written is not compatible with the tag type (or the reader type). For example, trying to write a 96-bit tag value to a 64 bit tag causes this error.

### READ_ONLY

    public static final OpStatus READ_ONLY

  No write was attempted because the tag is not a programmable type.

### STOPPED

    public static final OpStatus STOPPED

  The write operation was stopped by program action prior to completion.

### BUSY

    public static final OpStatus BUSY

  The reader could not be write-subscribed because it is already subscribed for a write operation.

### ANTENNA_FAILURE

    public static final OpStatus ANTENNA_FAILURE

  Write operation failed because the specified antenna was not present.

### CACHE_EMPTY

    public static final OpStatus CACHE_EMPTY

  Write operation failed because the cache was empty.

### FAILED

    public static final OpStatus FAILED

  Value indicating that a logical reader is non-functional.

Method Detail

### isStoppingCondition

    public boolean isStoppingCondition()

  Tells whether this write cycle failure status is a "hard" failure, meaning that it is pointless to try to repeat the write cycle on the reporting logical reader.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object o)

  WriterStatus instances sort in ascending order of failure severity. `OK` sorts first, retry-eligible instances next, followed by instances for which isStoppingCondition() is true. Used by ProgrammingCycle to keep track of worst reader status seen during a programming cycle.

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD